devhelp (43.0-3) unstable; urgency=medium

  [ Mohammed Sadiq ]
  * debian/patches: Remove emacs keybinding override patch
    - Some Function keys are reserved for users and some are used by
      GNU Emacs. Let's not override them to avoid possible conflicts
      (Closes: #770917)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact
  * Fix day-of-week for changelog entry 0.3-1
  * Update standards version to 4.6.1, no changes needed
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bicha ]
  * debian/control.in: Fix version number for anjuta Breaks

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Dec 2022 11:49:45 -0500

devhelp (43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57
  * Build with webkit2gtk 4.1 instead of 4.0 (switches to libsoup3
  * Add Breaks against anjuta & gnome-builder for the webkit switch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 09:52:50 -0400

devhelp (43~rc-1) unstable; urgency=high

  * New upstream release
  * Revert switch to webkit2gtk 4.1 and libsoup3.
    GNOME Builder isn't ready for the switch yet. (Closes: #1019128)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 04 Sep 2022 12:21:46 -0400

devhelp (43~beta-2) unstable; urgency=medium

  * Build with webkit2gtk 4.1 instead of 4.0 (switches to libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 12:20:59 -0400

devhelp (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * debian/control.in: Bump minimum meson to 0.55
  * Drop 3 build patches applied in new release
  * Update patch to not treat beta as a development build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2022 16:07:42 -0400

devhelp (41.2-2) unstable; urgency=medium

  * Team upload
  * d/p/build-Fix-i18n.merge_file-use-with-Meson-0.61.patch,
    d/p/Remove-incorrect-arg-for-i18n.merge_file.patch:
    Add patches from upstream git to fix FTBFS with Meson 0.61
    (Closes: #1005561)
  * d/p/gir-Fix-build-with-WebkitGTK-4.1.patch:
    Add patch from upstream for forward-compatibility with WebKitGTK 4.1
  * d/p/build-Don-t-treat-rc-as-development-build.patch,
    d/p/00install-devhelp-el.patch:
    Improve patch metadata
  * d/p/gi-docgen/templates-Remove-html5shiv.patch:
    Add patch from gi-docgen packaging to remove external JS reference.
    Lintian flags this as a potential privacy breach, although that will
    only be the case for Internet Explorer users, and anyone who is using
    Internet Explorer should have bigger privacy concerns than this.
  * d/p/gi-docgen/Disable-web-fonts-for-now.patch:
    Add patch from gi-docgen packaging to disable web-font overrides
  * Remove an unused Lintian override
  * Install documentation to the conventional location for a Debian package
  * Add doc-base integration

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 13:20:49 +0000

devhelp (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Oct 2021 20:34:09 -0400

devhelp (41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Use export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Sep 2021 17:37:57 -0400

devhelp (41~rc-1) unstable; urgency=medium

  * New upstream release
    - This release adds support for displaying docs produced by gi-docgen
  * debian/copyright: Add info for embedded gi-docgen. See bug 987000.
  * debian/control.in: Add python3-* dependencies needed for gi-docgen build
  * Drop obsolete Build-Depends: amtk, gtk-doc-tools, libxml-parser-perl
  * Update install files for switch from gtk-doc to gi-docgen docs
    (for devhelp's own developer documentation)
  * Add patch to not treat a RC release differently than stable releases

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Sep 2021 21:20:42 -0400

devhelp (40.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 07:29:59 -0400

devhelp (40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/devhelp-common.install, debian/rules:
    - enable editor plugins
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 22:49:25 +0200

devhelp (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates
  * d/NEWS.Debian: Remove.
    The latest news in that file was 13 years old, which seems uninteresting
    at this point, and the filename was incorrect, resulting it not actually
    being installed.
  * d/upstream/metadata: Add
  * Override Lintian tag for #970275
  * Standards-Version: 4.5.1 (no changes required)
  * Set Rules-Requires-Root to no
  * d/tests: Add a superficial compile/link/run autopkgtest

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Nov 2020 15:53:30 +0000

devhelp (3.38.0-1) unstable; urgency=medium

  * New upstream release:
    - Enable WebKitGTK sandbox.
    - Add more keyboard shortcuts to zoom actions.
    - Improvements to the build system.
    - Improvement to the Flatpak.
  * debian/devhelp.docs: Install README.md instead of old plain-text file
  * debian/control: Update build-dependencies

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 11:44:17 +0200

devhelp (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Apr 2020 17:14:13 -0400

devhelp (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 16:42:41 -0400

devhelp (3.36.0-2) unstable; urgency=medium

  * debian/libdevhelp-3-6.symbols: Add newly exported symbol
  * debian/control.in: Add several -doc packages to the build-dependencies so
    the links between the documentation files are properly resolved
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 21:42:41 +0100

devhelp (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Mar 2020 13:42:52 +0100

devhelp (3.35.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated glib, meson and webkitgtk requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 12:30:31 +0100

devhelp (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat and drop debian/compat
  * Build-Depend on dh-sequnce-gir, dh-sequence-gnome, & dh-sequence-python3
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Sep 2019 12:34:26 -0400

devhelp (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 07:15:53 -0400

devhelp (3.30.1-1) unstable; urgency=medium

  * New upstream release (Closes: #904651)
  * Build-Depend on libamtk-5-dev and meson
  * Update package name to libdevhelp-3-6 to match soname bump
  * debian/libdevhelp-3-6.symbols: Update
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.2.1
  * debian/copyright: Update

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Dec 2018 12:51:22 -0500

devhelp (3.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Apr 2018 13:50:10 -0400

devhelp (3.28.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 21 Mar 2018 14:58:57 -0400

devhelp (3.28.0-1) experimental; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Sun, 11 Mar 2018 12:22:19 +1100

devhelp (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Update library name to match bumped soname
  * Bump minimum libglib2.0-dev to 2.40 and
    libwebkitgtk-4.0-dev to 2.19.2
  * Build-Depend on yelp-tools
  * Update install files

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 19:39:42 -0500

devhelp (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 08:20:33 -0500

devhelp (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * debian/devhelp.install: Update for new AppStream metainfo location

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 20:54:17 -0500

devhelp (3.26.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Sep 2017 10:07:03 -0400

devhelp (3.25.91-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 08:07:13 -0400

devhelp (3.25.91-1) experimental; urgency=medium

  * New upstream release
  * Bump libdevhelp-3-2 to libdevhelp-3-4 to follow upstream soname bump
  * Add new gir1.2-devhelp-3.0 package
  * debian/control.in:
    - Build-depend on appstream-util, autoconf-archive, dh-python,
      gobject-introspection, gsettings-desktop-schemas-dev and gtk-doc-tools
    - Drop obsolete Build-Depends on gnome-common & intltool (Closes: #829798)
    - Bump minimum libgtk-3-dev to >= 3.22
  * debian/rules:
    - Drop obsolete override_dh_autoreconf rule
  * debian/libdevhelp-3-dev.install: Install new gtk-doc documentation
  * Update debian/libdevhelp-3-4.symbols
  * Bump Standards-Version to 4.0.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Aug 2017 17:49:41 -0400

devhelp (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 14:34:41 +0200

devhelp (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 23:56:12 +0200

devhelp (3.21.91-1) unstable; urgency=medium

  * New upstream release.
  * Install man page provided by upstream instead of our own, outdated own.
  * Convert from cdbs to dh.
  * Convert to multiarch.
  * Move the gedit plugin from devhelp-common to devhelp as the path is now
    arch specific. Add the necessary Breaks/Replaces.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2016 23:16:33 +0200

devhelp (3.20.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update dependencies of libdevhelp-dev to match the versions in
    Build-Depends.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 18:00:44 +0200

devhelp (3.20.0-1) experimental; urgency=medium

  * Bump gtk+ build-dependency to >= 3.16 (Closes: #808995)
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Bump gtk+ to >= 3.19.3

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Apr 2016 13:02:40 +0200

devhelp (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop outdated section about Bonobo functionality from devhelp-common's
    package description.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 19:03:21 +0200

devhelp (3.18.0-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libwebkit2gtk-4.0-dev to (>= 2.6.0) as per
    configure.ac.

  [ Andreas Henriksson ]
  * Update debian/libdevhelp-3-2.symbols with 3 removals and 1 addition.
    - Missing symbols not used according to codesearch.debian.net and
      was apparently never part of a public header, so very unlikely
      anyone would be using them....
      See https://git.gnome.org/browse/devhelp/commit/?id=4763132dfc6b
  * Ship dbus service file in devhelp package.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 15:39:12 +0200

devhelp (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete Replaces from pre-wheezy.
  * Update debian/copyright to reflect the current sources.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6.
  * Drop obsolete clean rule.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 May 2015 01:05:21 +0200

devhelp (3.14.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: List not installed files
  * debian/devhelp.install: Install appdata file

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Switch to libwebkit2gtk-4.0-dev.
    + Break anjuta << 2:3.14.0-2 to prevent anjuta from mixing
      libwebkit2gtk-3.0 and libwebkit2gtk-4.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 21 May 2015 21:23:05 +0200

devhelp (3.14.0-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Build-depend on python3 rather than python3-dev. (Closes: 718818)

  [ Dimitri John Ledkov ]
  * Use dh-autoreconf to regenerate libtool & friends for new ports
    coverage (ppc64el). (Closes: 732750)

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump build-dependency on libgtk-3-dev to >= 3.13.4
    - according to configure.ac changes

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 21:58:16 +0200

devhelp (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 May 2014 20:39:08 +0200

devhelp (3.12.0-2) unstable; urgency=medium

  * debian/control.in:
    + Make libdevhelp-dev depend on the libwebkit2gtk dev package
      rather than on the libwebkitgtk one as we have switched to
      that and that's what the pkg-config file requires.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Apr 2014 01:01:16 +0200

devhelp (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update homepage.
    - Build-Depend on libgtk-3-dev (>= 3.9.10),
      libwebkit2gtk-3.0-dev (>= 2.0.0) and libglib2.0-dev (>= 2.37.3)
      according to configure.ac.
    - Bump Standards-Version to 3.9.5. No further changes.
  * debian/rules: Remove configure flag "--without-webkit2". webkit2 is
    mandatory now.
  * debian/libdevhelp-3-2.symbols: Add one new symbol.

 -- Thomas Bechtold <toabctl@debian.org>  Thu, 27 Mar 2014 06:33:34 +0100

devhelp (3.8.2-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * Upload to unstable.
  * Build against webkit1 for now, webkit2 isn't ready yet.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jul 2013 22:46:02 +0200

devhelp (3.8.2-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release

  [ Jeremy Bicha ]
  * debian/control.in:
    - Have -dev package depend on webkit2gtk too

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Bump libwebkit2gtk-3.0-dev build dependency to ensure we pick up
      the new SONAME.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 01 Jun 2013 20:49:22 +0200

devhelp (3.8.0-2) experimental; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in, debian/rules:
    - Use dh_python3

  [ Thomas Bechtold ]
  * debian/rules: build against libwebkit2gtk
  * debian/control:
    - Build-Depends on libwebkit2gtk-3.0-dev (>= 1.10.0) for
      webkit2 according to configure.ac
    - Bump Standards-Version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 04 Apr 2013 13:20:00 +0200

devhelp (3.8.0-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.
  * soname bump according to configure.ac
  * debian/libdevhelp-3-2.symbols: Updated symbols.
  * debian/control:
    - Bump libgtk-3-dev Build-Depends to >= 3.5.6 according to configure.ac.
    - Bump libglib2.0-dev Build-Depends to >= 2.32 according to configure.ac.
  * debian/rules: explicit don't build against webkit2
  * debian/devhelp-common.install:
    - etc is no longer needed
    - install gsettings schema
    - install gconf-to-gsettings convert file

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 12:38:17 +0100

devhelp (3.4.1-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Apr 2012 17:39:14 +0200

devhelp (3.4.0-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Update Vcs-* fields

  [ Matthias Klose ]
  * Build using dh_python2.

  [ Jeremy Bicha ]
  * debian/watch: Switch to .xz tarballs

  [ Michael Biebl ]
  * New upstream release.
  * debian/libdevhelp-3-0.symbols: Add new symbol.
  * debian/copyright: Update using machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Mar 2012 23:43:20 +0200

devhelp (3.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Sep 2011 08:55:09 +0200

devhelp (3.0.0-2) unstable; urgency=low

  * debian/watch: Switch to .bz2 tarballs.
  * debian/control: Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2011 21:35:48 +0200

devhelp (3.0.0-1) experimental; urgency=low

  * New upstream release.

  [ Emilio Pozuelo Monfort ]

  * debian/control.in
    + Update the gtk+ 3 package names everywhere. Closes: #619148.

  [ Frederic Peters ]

  * debian/control.in:
    + Updated devhelp package description to not talk about Bonobo.

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Apr 2011 17:51:59 +0200

devhelp (2.91.90-1) experimental; urgency=low

  * New upstream release.
    + Update for the new gtk+ 3 package names.
    + debian/control: update policy to 3.9.1.
    + debian/rules, debian/devhelp-common.install: update for new gedit plugin
      (requires a gedit >= 2.90).

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Feb 2011 20:26:14 +0100

devhelp (2.91.5-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in,
      debian/libdevhelp*.install:
      - Rename libdevhelp-1-1 to libdevhelp-3-0 because of the new SONAME.
      - Rename libdevhelp-1-dev to libdevhelp-dev. It's not like we're going
        to support multiple libdevhelps ever.
    + debian/control.in:
      - Update build dependencies and dependencies.
      - Relax the shared library package dependency on devhelp-common to
        allow multiple libdevhelps to be installed in parallel (to ease
        transitions when the SONAME changes).
    + debian/*.install:
      - Simplified.
    + debian/control.in,
      debian/compat:
      - Switch to debhelper compat 8.
    + debian/libdevhelp-3-0.symbols:
      - Add a symbols file.
    + debian/rules:
      - Make the shlibs file always depend on the latest upstream version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 18 Jan 2011 23:29:37 +0000

devhelp (2.30.1-1) unstable; urgency=low

  * New upstream stable release.
  * debian/rules
    - The gnome.mk cdbs class file already includes autotools.mk, so there is
      no need to include it a second time ourselves.
  * debian/control.in
    - Add Vcs-* fields.
    - Drop Build-Depends on dpkg-dev (>= 1.13.19) as even oldstable has a
      more recent version.
    - Bump Standards-Version to 3.9.0. No further changes.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.10.0).

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Jul 2010 20:17:19 +0200

devhelp (2.30.0-1) unstable; urgency=low

  * New upstream release.
    - Add fullscreen mode. Closes: #491981.
    - Expanding items in the sidebar no longer expands the first one.
      Closes: #551473.
    - debian/rules:
      + Bump shlibs version for the new API.
  * debian/watch: Only track stable releases.
  * debian/control.in,
    debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 05 Apr 2010 19:35:27 +0200

devhelp (2.28.1-1) unstable; urgency=low

  * New upstream bug fix release.

 -- Andrea Veri <andrea.veri89@gmail.com>  Thu, 22 Oct 2009 12:45:39 +0200

devhelp (2.28.0.1-1) unstable; urgency=low

  * New upstream release.
  * Remove build dependency on libsoup2.4-1, it was to workaround a too weak
    dependency in libwebkit-1.0-2 because of an unbumped shlibs in libsoup.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 27 Sep 2009 13:05:28 +0200

devhelp (2.27.92-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/devhelp.postrm: Removed, it only rmdirs the /etc directories
    on purge, but that was to workaround a bug in dpkg. See e.g. #198128.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/control.in: Remove old Conflicts/Replaces no longer needed.

  [ Andrea Veri ]
  * New upstream release. Devhelp gonna use a completely new
    versioning to follow GNOME's way.
    - New tabs should not steal focus. (Closes: #499274)
  * debian/control:
   - added homepage field.
   - added a B-D on libunique-dev, needed to the configure run to
     work properly.
   - libwebkit B-D bumped to >= 1.1.14, this is a new require for
     the new upstream release. (we need to upload this package to
     experimental cause of this)
   - added a B-D on libsoup2.4-0 (>= 2.27.92) to fix a FTBFS cause
     a broken dependency on the webkit shared library.
   - bumped libdevhelp binary to libdevhelp-1-1 to prevent a breakage
     after the soname change.
   - changed libdevhelp-1-dev dependency on libdevhelp-1-0 to
     libdevhelp-1-0 because of the package rename.
   - removed chrpath B-D, it's no more needed.
  * debian/libdevhelp-1-0.install:
    - renamed to libdevhelp-1-1.install since the package name changed.
  * debian/patches/01_do_not_clober_global_w_on_el.patch:
    - removed, applied upstream.
  * debian/patches/03html2diff_close_sub.patch:
    - removed, applied upstream.
  * debian/patches/series:
    - updated
  * debian/rules:
    - removed all chrpath's calls, it seems they are no no more needed.
      Thanks Emilio for the hint on this.
    - bumped libdevhelp shlibs version to 2.27.92, since the library changed
      the API.
  * debian/copyright:
    - added missing copyright holders.
    - added missing LGPL header.

  [ Emilio Pozuelo Monfort ]
  * debian/devhelp.preinst: Removed, oldstable has a greater version than
    0.6.0.
  * debian/rules:
    - Stop symlinking devhelp-bin.1 to devhelp.1, there's not a devhelp-bin
      binary anymore.
    - rm -f ignores non-existent files, no need to tell make to ignore errors.
    - Stop creating a debian/shlibs.local file to have stricter dependencies,
      the dependencies are fine without it and it was added to workaround
      another bug.
  * Install the GConf schemas in devhelp-common instead of in libdevhelp-1-1.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Sep 2009 19:47:40 +0200

devhelp (0.23.1-1) unstable; urgency=low

  [ Loïc Minier ]
  * Bump Standards-Version to 3.8.2, no change needed.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - debian/patches/05_fix_anchor_loads.patch,
      debian/patches/60_deprecated-g-mapped-file-free.patch:
      Removed, fixed upstream.
  * debian/devhelp.1: escape a dash.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Aug 2009 23:34:20 +0200

devhelp (0.23-4) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Add headers to patches.
  * debian/patches/04_close_correct_tab.patch: Removed, doesn't work.
    Bug forwarded to BGO: #587987.

  [ Loïc Minier ]
  * Don't hardcode libdevhelp-1's SONAME.
  * New patch, 60_deprecated-g-mapped-file-free, use g_mapped_file_unref()
    instead of deprecated g_mapped_file_free(); GNOME #588655
  * Add description to patch 00install-devhelp-el.
  * Binaries devhelp and devhelp-common are Section: devel like their source,
    don't repeat Section field.

 -- Loïc Minier <lool@dooz.org>  Fri, 17 Jul 2009 11:28:05 +0200

devhelp (0.23-3) unstable; urgency=low

  * debian/patches/05_fix_anchor_loads.patch:
  - imported from upstream git repository, to fix loading files with
    anchors on their URIs

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 29 Jun 2009 21:57:16 -0300

devhelp (0.23-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Remove mention of Gecko in the description. It's not relevant and we
    use webkit anyway. Closes: #519492.

  [ Josselin Mouette ]
  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun, 28 Jun 2009 18:37:09 +0200

devhelp (0.23-1) experimental; urgency=low

  * New upstream release.
  * Bump libgtk2.0-dev Build-Depends.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 25 Jan 2009 22:32:01 +0000

devhelp (0.22-1) experimental; urgency=low

  [ Loic Minier ]
  * Fix bogus checks in preinst and clean it up.

  [ Bradley Smith ]
  * New upstream release.
  * debian/patches
   - 00install-devhelp-el.patch - Refresh.
   - 01_do_not_clober_global_w_on_el.patch - Refresh.
   - 02_fix_alpha_ftbfs.patch - Removed. (No longer relevant)
   - 04_close_correct_tab.patch - Refresh.
  * Remove unrecognised configure flags (--disable-install-schemas,
    --with-gecko)
  * Correct dependencies.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 02 Dec 2008 20:54:53 +0000

devhelp (0.21-2) unstable; urgency=low

  * debian/control
    - Change maintainer email address.
    - Reformat descriptions.
  * Convert copyright to machine readable format.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 19 Oct 2008 22:53:04 +0100

devhelp (0.21-1) experimental; urgency=low

  * New upstream release.
  * Drop 02_gecko_1.9.patch - Gone upstream.
  * Drop 70_autoconf.patch - No longer needed.
  * Split out alpha FTBFS fix into 02_fix_alpha_ftbfs.patch.
  * Add 04_close_correct_tab.patch - Close correct tab when pressing close
    button.

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 25 Sep 2008 14:35:45 +0100

devhelp (0.19.1-6) unstable; urgency=low

  * Recommend xulrunner-1.9-gnome-support. Closes: #491359.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Sep 2008 18:34:12 +0200

devhelp (0.19.1-5) unstable; urgency=low

  [ Bradley Smith ]
  * Fix 02_gecko_1.9.patch - Fixes FTBFS on alpha. Closes: #488531
   - Thanks to Mike Hommey <mh@glandium.org> for patch.

  [ Loic Minier ]
  * Upload.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sat, 05 Jul 2008 11:35:20 +0100

devhelp (0.19.1-4) unstable; urgency=low

  * Fix 02_gecko_1.9.patch. Closes: #485644
  * Update Standards-Version to 3.8.0 (No Changes)
  * Remove Build-Depends on -1 revisions.

 -- Bradley Smith <brad@brad-smith.co.uk>  Thu, 19 Jun 2008 20:06:01 +0100

devhelp (0.19.1-3) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Bump xulrunner deps to 1.9~rc1.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Jun 2008 22:54:12 +0200

devhelp (0.19.1-2) experimental; urgency=low

  * New upstream bugfix release.
  * 02_gecko_1.9.patch: fix build against gecko 1.8.
  * 70_autoconf.patch: regenerated for new version.

 -- Josselin Mouette <joss@debian.org>  Tue, 27 May 2008 11:48:38 +0200

devhelp (0.19-2) experimental; urgency=low

  * Target to experimental; include check-dist.mk.
  * Switch to quilt for patch handling; build-depend on quilt.
  * Build-depend on xulrunner-dev and make libdevhelp depend on
    xulrunner-1.9.
  * 02_gecko_1.9.patch:
    + Patch from Christian Kirbach to get devhelp to build against
      libxul-embedding.
    + Modified to strip the -R flags from Makefile.am.
    + Augmented with the xpcomglue patch from Ubuntu.
    + Also include the prefs patch from Ubuntu to display colors
      correctly.
    + Modified to remove the libcppwrapper hack, which doesn't work
      anymore because the dependency on libstdc++ is missing.
  * Pass --with-gecko=libxul-embedding to use it. Closes: #480792.
  * 70_autoconf.patch: run the autotools on top of that.

 -- Josselin Mouette <joss@debian.org>  Mon, 12 May 2008 19:46:42 +0200

devhelp (0.19-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Feb 2008 17:26:39 +0100

devhelp (0.18-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jan 2008 13:26:58 +0100

devhelp (0.17-1) unstable; urgency=low

  [ Bradley Smith ]
  * Update to use new standards version.

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/control.in:
      - Remove unneeded gnomevfs build dependency and update dependencies of
        the -dev package.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Jan 2008 21:34:56 +0100

devhelp (0.16.1-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Set maintainer to the GNOME team.
  * Use F11 instead of F7 for the emacs keybinding. Closes: #446191.

  [ Bradley Smith ]
  * New Maintainer. Closes: #450879, #451064.
  * Remove lintian warning about rpath.
  * Remove lintian warning about Apps menu section.

 -- Josselin Mouette <joss@debian.org>  Thu, 15 Nov 2007 21:56:32 +0100

devhelp (0.16.1-2) unstable; urgency=low

  * Orphaning the package

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 11 Nov 2007 18:15:41 -0200

devhelp (0.16.1-1) unstable; urgency=low

  [ Kilian Krause ]
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

  [ Sebastian Dröge ]
  * New upstream release with many translation updates.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2007 08:12:30 +0200

devhelp (0.16-1) unstable; urgency=low

  * New upstream release; no API change.
  * Cleanup whitespaces.

 -- Loic Minier <lool@dooz.org>  Sun, 16 Sep 2007 19:37:30 +0200

devhelp (0.15-1) unstable; urgency=low

  * Cleanups.
  * New upstream release; no API change.
    - Drop patch 80_desktop-file-all-icon-formats, merged upstream.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Jun 2007 12:15:17 +0200

devhelp (0.14-1) unstable; urgency=low

  * Wrap build-deps and deps.
  * Drop Tag: defs.
  * Cleanups: drop DEB_MAKE_INVOKE def, don't let rm calls error out, etc.
  * New upstream stable release with API additions.
    - Bump shlibs to >= 0.14.
    - Drop patch 02_README_search_path_fix, merged upstream.
    - Adds typeahead support; GNOME #116322; closes: #389151.
  * Bump up Debhelper compatibility level to 5.
    - Drop spurious reference to usr/lib/libdevhelp-1.a, usr/share/man, and
      usr/share/mime-info.
  * Include CDBS' utils.
  * Install the scalable SVG icon too; ship the icon in devhelp-common.
  * New patch, 80_desktop-file-all-icon-formats, fixes hardcoding of .png
    format in devhelp's desktop file.
  * Ship Gedit plugin in devhelp-common.
    - Instal .gedit-plugin and *.py files in gedit-common.
    - Build-dep on python-support (0.3).
    - Call dh_pysupport in binary-install/devhelp-common:: on
      usr/lib/gedit-2/plugins/devhelp.
    - Depend on ${python:Depends}.

 -- Loic Minier <lool@dooz.org>  Tue, 22 May 2007 15:03:27 +0200

devhelp (0.13-3) unstable; urgency=low

  [ Josselin Mouette ]
  * libdevhelp-1-dev depends on libwnck-dev, libgnomeui-dev,
    libgnomevfs2-dev, libgconf2-dev and libglade2-dev (closes: #422394).

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 11 May 2007 00:16:37 -0300

devhelp (0.13-2) unstable; urgency=low

  * debian/NEWS.Debian, debian/README.Debian:
  - add information about devhelp no longer using ~/.devhelp/books, but
    using the XDG basedir spec location instead; thanks to Sven Arvidsson
    for pointing this out (Closes: #411714)
  * debian/patches/02_README_search_path_fix.diff:
  - also fix the information given by the README
  * debian/watch:
  - adapted in order to also track odd-ended version numbers

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  3 Mar 2007 13:07:15 -0300

devhelp (0.13-1) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New upstream release; bug fixes.
    - Bump up shlibs for API and ABI additions.
    - Drop patch 02_transparent_header_fix, merged upstream.
  * Rename X-TOOLS to X_TOOLS.
  * Use DEB_VERSION instead of computing VERSION.
  * Don't overwrite DEB_CONFIGURE_EXTRA_FLAGS.
  * Use devhelp.manpages instead of DEB_INSTALL_MANPAGES_devhelp.

 -- Loic Minier <lool@dooz.org>  Sat,  3 Feb 2007 11:53:29 +0100

devhelp (0.12-2) unstable; urgency=low

  Loic Minier <lool@dooz.org>:
  * Fix watch file to track stable releases.

  Gustavo Noronha:
  * debian/patches/02_transparent_header_fix.diff:
  - patch grabbed from upstream CVS to fix the 'header is transparent'
    problem (Closes: #383027)
  * debian/control.in:
  - added debtags Tag fields using Enrico's debtags-updatecontrol with
    a slight modification to use debian/control.in if it exists

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 10 Sep 2006 18:04:20 -0300

devhelp (0.12-1) unstable; urgency=low

  * Fix typo in the changelog of 0.11-5.
  * New upstream release, with API additions.
    - Add a missing libglib2.0-dev (>= 2.8.0) build-dep.
    - Build-depend on python-dev for the new Gedit plugin.
    - Update the location of devhelp.png from /usr/share/pixmaps to
      /usr/share/icons/hicolor/48x48/apps.

 -- Loic Minier <lool@dooz.org>  Mon,  7 Aug 2006 21:38:07 +0200

devhelp (0.11-5) unstable; urgency=low

  * Make package bin-NMU-able.
    - Add a dpkg-dev >= 1.13.19 build-dep.
      [debian/control, debian/control.in]
    - Use ${source:Version} instead of ${Source-Version} to let libdevhelp-1-0
      depend on devhelp-common.
      [debian/control, debian/control.in]
  * Bump up Standards-Version to 3.7.2.
    [debian/control, debian/control.in]
  * Add ${misc:Depends} where missing.
    [debian/control, debian/control.in]
  * Drop what looks like bogus build-deps on automake, liborbit2-dev, gettext,
    [debian/control, debian/control.in]
  * Replace intltool build-dep with a libxml-parser-perl one.
    [debian/control, debian/control.in]
  * Simple rebuild to pull a correct libwnck18 shlib dep.

 -- Loic Minier <lool@dooz.org>  Fri,  9 Jun 2006 16:51:15 +0200

devhelp (0.11-4) unstable; urgency=low

  * Bump up build-deps to libgtk2.0-dev >= 2.8.17-1, libwnck-dev >= 2.14.1,
    libgnomevfs2-dev >= 2.14.0-3 to avoid any reference to Xrender.la and
    Xcursor.la in .la files.
    [debian/control, debian/control.in]
  * Bump up deps of libdevhelp-1-dev to libgtk2.0-dev >= 2.8.17-1 to pull
    packages without any reference to Xcursor.la or Xrender.la.
    [debian/control, debian/control.in]
  * Stop shipping *.la files in libdevhelp-1-dev.
    [debian/libdevhelp-1-dev.install]

 -- Loic Minier <lool@dooz.org>  Sun, 23 Apr 2006 22:37:49 +0200

devhelp (0.11-3) unstable; urgency=low

  * Built with xulrunner (Closes: #352085, #283364)

  Mike Hommey <glandium@debian.org>:
  * Test build with xulrunner.
  * debian/control, debian/control.in:
    + Changed Build-deps from mozilla-browser to libxul-dev.
    + Changed libdevhelp-1-0's dependencies and conflicts accordingly.
  * debian/rules: Add --with-gecko=xulrunner to the configure line.

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 23 Feb 2006 11:55:39 -0300

devhelp (0.11-2) unstable; urgency=high

  [ Gustavo Noronha Silva ]
  * debian/watch:
  - updated for 0.11.*

  [ Loic Minier ]
  * Rebuild to fix the dependencies borken in the libwnck-related binNMU.

 -- Loic Minier <lool@dooz.org>  Fri, 20 Jan 2006 13:41:07 +0100

devhelp (0.11-1) unstable; urgency=low

  * New upstream release
  - handle new gtk-doc format for devhelp books, used by
    glib (Closes: #344407, #341100)
  * debian/README.Debian:
  - clarify that most books are installed by the normal documentation
    packages and that more books are no longer made available due to
    licensing problems
  * debian/control.in:
  - updated Build-Depends according to pkg-config requirements on
    configure.in - raise GTK+ b-d to at least 2.6.0, added gconf >= 2.6.0,
    and libwnck >= 2.10

 -- Gustavo Noronha Silva <kov@debian.org>  Tue,  3 Jan 2006 21:49:40 -0200

devhelp (0.10-6) unstable; urgency=high

  * Add ${misc:Depends} to devhelp and libdevhelp-1-0. (Closes: #343661)

 -- Loic Minier <lool@dooz.org>  Sat, 17 Dec 2005 11:21:12 +0100

devhelp (0.10-5) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * debian/control.in:
  - devhelp no longer Suggests devhelp-books which no longer exists
    (Closes: #325326)

  [ Loic Minier ]
  * Update debian/control.
  * Release to unstable.

 -- Loic Minier <lool@dooz.org>  Fri, 11 Nov 2005 12:39:44 +0100

devhelp (0.10-4) unstable; urgency=low

  * debian/libdevhelp-1-0.postinst:
  - removed; gnome.mk does what I was doing manual and with the
    correct path (Closes: #323455)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 16 Aug 2005 19:46:42 -0300

devhelp (0.10-3) unstable; urgency=low

  * debian/devhelp.postrm:
  - fix typo in redirection &> -> >&

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 13 Aug 2005 02:35:54 -0300

devhelp (0.10-2) unstable; urgency=low

  * debian/patches/01_do_not_clober_global_w_on_el.patch:
  - do not setq the w variable unecessarily in the emacs
    integration script (Closes: #318985)
  * debian/control.in:
  - Standards-Version increased to 3.6.2 with no changes
  * debian/rules:
  - include cdbs' gnome.mk so that dh_gconf and dh_desktop
    will do their job; this is real late, btw =(... gah!
  * debian/devhelp.preinst:
  - fixed bashism on condition checking

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 12 Aug 2005 22:54:50 -0300

devhelp (0.10-1) unstable; urgency=low

  * New upstream release.
  * debian/devhelp.menu:
  - removed the hints field, it's not really needed (Closes: #292655)
  * debian/control.in:
  - removed libgnomeui-dev from Build-Deps as it is no longer needed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  8 May 2005 19:17:01 -0300

devhelp (0.9.3-2) UNRELEASED; urgency=low

  * debian/watch:
  - changed to use http method instead

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 17 Apr 2005 13:30:08 -0300

devhelp (0.9.3-1) unstable; urgency=low

  * New upstream release.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 22 Oct 2004 22:00:26 -0300

devhelp (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 29 Sep 2004 21:21:11 +0200

devhelp (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01export_ld_library_path.patch:
  - removed, this upstream version fixes this
  * debian/patches/02relibtoolize.patch:
  - removed, this upstream version is libtoolized with a
    newer libtool already
  * debian/patches/04book_search_path_fix.patch:
  - this came from upstream's CVS, and is in this release
    so no longer needed

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 31 Jul 2004 12:54:20 -0300

devhelp (0.9-8) unstable; urgency=low

  * debian/devhelp.postinst -> debian/libdevhelp-1-0.postinst:
  - the package that provides the schema file should be
    the one installing it!
  * debian/rules:
  - create shlibs.local to override dependency information
    for libdevhelp-1-0, so that devhelp will depend on the
    exact version of the library  (Closes: #256852)
  - moved the command that copies the elisp file to debian/
    to a pre-build:: rule, so it will be there when dh_installemacsen
    runs (Closes: #257177)
  * debian/control.in:
  - replaced all 'DevHelp' ocurrences with 'Devhelp', as it seems
    to be the "official" name given upstream.
  * debian/patches/02relibtoolize.diff:
  - renamed to end with .patch instead, to be consistent with
    the other ones
  * debian/patches/03html2diff_close_sub.patch:
  - adding patch from Richard Cohen <richard@daijobu.co.uk>
    for html2xml.py to close <sub> tags (Closes: #256848)
  * debian/patches/04book_search_path_fix.patch:
  - adding patch from upstream's CVS to have ~/.devhelp
    override system-wide books in case of duplicates and
    to avoid '.' and '..' while searching for books.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  2 Jul 2004 17:04:50 -0300

devhelp (0.9-7) unstable; urgency=low

  * debian/changelog:
  - updated entries from the branch that was being maintained
    for unstable before
  * debian/control.in:
  - up-ported changed from 0.8-4, uploaded previously
  - make devhelp-common Replace and Conflict with libdevhelp-1-0,
    as it distributes files it once contained
  * debian/patches/02relibtoolize.diff:
  - updated to include /usr/include/mozilla in INCLUDES and
    MOZILLA_COMPONENT_LIBS to devhelp_LDADD in src/Makefile.am

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 25 Jun 2004 16:39:16 -0300

devhelp (0.9-6) unstable; urgency=low

  * First release to unstable
  * debian/control.in, debian/devhelp-common.install:
  - create a new devhelp-common package to contain all the
    non-arch-specific files
  * debian/control.in:
  - update all build-deps to tighten them up with unstable's
    versions of gnome2.6 stuff

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 27 May 2004 19:31:17 -0300

devhelp (0.9-5) experimental; urgency=low

  * debian/libdevhelp-1-0.install, debian/devhelp.install:
  - etc/* should be in libdevhelp-1-0, done that (Closes: #244593)
  * debian/control.in:
  - libdevhelp-1-0 Replaces devhelp << 0.9-5 (this revision)
  * debian/pacthes/01relibtoolize.diff:
  - relibtoolize devhelp to remove uneeded dependencies

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 19 Apr 2004 19:07:03 -0300

devhelp (0.9-4) experimental; urgency=low

  * debian/rules:
  - remove DEB_DH_LINK_ARGS and call dh_link explicitely to
    avoid having the link added to every package
    (Closes: #241881)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Apr 2004 15:23:31 -0300

devhelp (0.9-3) experimental; urgency=low

  * debian/control.in:
  - Build-Depends on intltool (Closes: #241468)
  * debian/rules:
  - create a link from the manpage for devhelp to
    devhelp-bin

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  3 Apr 2004 12:42:52 -0300

devhelp (0.9-2) experimental; urgency=low

  * Gustavo Noronha Silva <kov@debian.org>:
   + debian/patches/01export_ld_library_path.patch:
    - add patch to the devhelp's wrapper script so that it
      exports LD_LIBRARY_PATH

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 24 Mar 2004 22:31:19 -0300

devhelp (0.9-1) experimental; urgency=low

  * New upstream release
  * Gustavo Noronha Silva <kov@debian.org>:
   + debian/rules:
    - no need to ask for building with Gecko, as it is the
      default now
    - no need to rm the libegg/util/eggmarshalers.c file,
      as this version no longer uses egg stuff
   + debian/devhelp.install, debian/devhelp-wrapper, debian/rules:
    - devhelp now provides its own wrapper, which it
      would install into /usr/bin/devhelp, and which calls
      /usr/bin/devhelp-bin
   + debian/control:
    - build-depends on gtk >= 2.3.1, libglade2-dev >= 1.3.6 and
      mozilla-dev >= 1.6
   + debian/devhelp.postinst:
    - install the devhelp's schema file correctly

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 23 Mar 2004 18:30:30 -0300

devhelp (0.8.1-4) unstable; urgency=low

  * debian/control.in:
  - updated dependencies and build-deps for mozilla 1.7
  - conflicts with mozilla >= 1.8 (Closes: #256047)
  * debian/patches/01relibtoolize.diff:
  - updated to have HTML_WIDGET_LIBS added to devhelp_LDADD
    on src/Makefile.am

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 25 Jun 2004 12:47:12 -0300

devhelp (0.8.1-3) unstable; urgency=low

  * debian/patches/01relibtoolize.diff:
  - litboolize'd source to remove uneeded dependecies

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 19 Apr 2004 17:00:35 -0300

devhelp (0.8.1-2) unstable; urgency=low

  * [debian/control.in] Added build dependency on libxml-parser-perl to fix
    FTBFS. (Closes: #241468)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 Apr 2004 14:07:43 +0200

devhelp (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Gustavo Noronha Silva <kov@debian.org>:
   + debian/rules:
    - include gnome-pkg-tools debian/control generation
      rules
    - made devhelp be built using gecko as the html rendering
      engine
   + debian/control.in:
    - created, to generate debian/control
    - build-depend on mozilla-dev and on gnome-pkg-tools
    - libdevhelp-1-0 needs to depend on current
      mozilla-browser
    - created the libdevhelp-1-0 and libdevhelp-1-dev
      packages
    - improved devhelp's decription

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 21 Mar 2004 18:16:59 -0300

devhelp (0.7-7) unstable; urgency=low

  * The "It's ironic looking at some previous changelog entries"
    (a.k.a. "gnome2.4 is here!") release
  * debian/devhelp-debian.xpm:
  - used gimp-1.3 to recreate from the original ui/devhelp.png
    file, thus making the black put there by imagemagick's convert
    thing go away (Closes: #220209)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  6 Dec 2003 00:29:11 -0200

devhelp (0.7-6) unstable; urgency=low

  * The "Sorry, I was too eager, could not wait!" release.
    (a.k.a.: "source-only uploads would be nice" release)
  - build with pbuilder locally, so that no gnome2.4 dependencies
    will be used (Closes: #215218).

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 12 Oct 2003 21:37:08 -0200

devhelp (0.7-5) unstable; urgency=low

  * debian/control:
  - added Uploaders header based on file-roller's one
  - increased Standards-Version to 3.6.1, no changes.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 10 Oct 2003 00:22:51 -0300

devhelp (0.7-4) unstable; urgency=low

  * debian/postrm:
  - also remove /etc/emacs if empty

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 27 Jul 2003 06:15:29 -0300

devhelp (0.7-3) unstable; urgency=low

  * debian/README.Debian:
  - clarify the new book format stuff a bit more (Closes: #195507)
  * debian/postrm:
  - remove /etc/emacs/site-start.d if it is empty (Closes: #201981)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 26 Jul 2003 02:19:10 -0300

devhelp (0.7-2) unstable; urgency=low

  * debian/rules:
  - adopting cdbs
  - install all scripts from misc/ (Closes: #200055)
  * debian/patches/00install-devhelp-el:
  - edited misc/devhelp.el to enable the 'f7' keybinding
    by default
  * debian/copyright:
  - updated information on author/site

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 12 Jul 2003 17:11:34 -0300

devhelp (0.7-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
  - does not install emacs and vim stuff myself, as upstream
    is taking care of that himself
  - added aditional clean stuff to remove the marshallers
    files that are auto-generated during the build
  * debian/control:
  - Build-Dep on debhelper (>= 4.0.0)
  * debian/compat:
  - new file, compat for debhelper
  * debian/docs:
  - removed TODO
  * src/Makefile.in:
  - removed -rpath stuff
  * debian/devhelp-debian.xpm:
  - removed the color limitation stuff, as it is
    not mandated by the menu policy anymore

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  2 Jul 2003 01:46:58 -0300

devhelp (0.6.0-2) unstable; urgency=low

  * Rebuilt to depend on the right version of the library
    (I thought libgtkhtml2-dev would depend on the right
    package... I was proven wrong) (Closes: #193098)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 13 May 2003 22:10:17 -0300

devhelp (0.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #183125)
  - debian packaging somewhat redone to clean debian diff
  - spec-only books now seem to work alright -- I tested with
    bonobo.devhelp (Closes: #139031)
  - relative links seem to work now (Closes: #158498)
  - devhelp changed a LOT, it now uses other libraries and
    behaves very differently on using books, so I guess I
    can close this bug. If this is still a problem, reopen
    the bug (Closes: #149171)
  * debian/postinst:
  - do not need it anymore, there's no schema file to install
  * debian/preinst:
  - remove old cruft left after purging on earlier versions
    if found (Closes: #160297)
  * debian/control:
  - Standards-Version to 3.5.9 (no changes)
  - fixed the Build-Depends line
  - Recommends the -doc packages that contain .devhelp files

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 May 2003 15:22:27 -0300

devhelp (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
  - support nostrip on DEB_BUILD_OPTIONS

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 12 Apr 2003 03:39:22 -0300

devhelp (0.4-6) unstable; urgency=low

  * src/Makefile:
  - remove -rpath when linking the la lib

 -- Gustavo Noronha Silva <kov@debian.org>  Tue,  8 Apr 2003 04:38:11 -0300

devhelp (0.4-5) unstable; urgency=low

  * Rebuilt to depend on new libgal (Closes: #188062)
  * debian/control:
  - upgrade to Standards-Version 3.5.9
  - removed full stop from short description
  * debian/devhelp-debian.xpm:
  - remove colors not in Debian's cmap

 -- Gustavo Noronha Silva <kov@debian.org>  Tue,  8 Apr 2003 04:18:41 -0300

devhelp (0.4-4) unstable; urgency=low

  * updated libtool related stuff (Closes: #168641)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 12 Nov 2002 01:07:03 -0200

devhelp (0.4-3) unstable; urgency=low

  * debian/rules:
  - install emacs elisp file as startup file to emacs and ship
    the vim thing on /usr/share/doc/devhelp (Closes: #164281)
  * misc/devhelp.el:
  - modified to bind f7 automatically

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 11 Nov 2002 02:32:25 -0200

devhelp (0.4-2) unstable; urgency=low

  * debian/control:
  - Build-Depends on libjpeg62-dev (Closes: #158449)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  5 Sep 2002 02:12:42 -0300

devhelp (0.4-1) unstable; urgency=low

  * New upstream version, cleaned-up some patches
  * debian/control:
  - changed recommends to suggests: devhelp-books to
    make dselect users happy (Closes: #140883)
  - removed lib* packages, the libs that are built should
    not be public

 -- Gustavo Noronha Silva <kov@debian.org>  Tue,  7 May 2002 21:55:29 +0000

devhelp (0.3-10) unstable; urgency=low

  * Added entry to devhelp on the Debian menu system
    (Closes: #141133)

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  5 Apr 2002 02:10:43 -0300

devhelp (0.3-9) unstable; urgency=low

  * src/devhelp-window.c:
  - modified to have medium fonts when configuration is
    not reachable (Closes: #139973) (which should by no
    means be 'normal', btw, but wishlist)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue,  2 Apr 2002 01:53:34 -0300

devhelp (0.3-8) unstable; urgency=low

  * src/install.c:
  - changed the command that is run by devhelp to be posix-shell
    compliant, thanks to Manuel Estrada Sainz <ranty@debian.org>

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 26 Mar 2002 03:33:31 -0300

devhelp (0.3-7) unstable; urgency=low

  * src/bookshelf.c:
  - also add books from /usr/local/share/devhelp
  * debian/README.Debian:
  - explains what I've done to bookshelf and mentions the
    devhelp-book-* packages

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 24 Mar 2002 03:37:21 -0300

devhelp (0.3-6) unstable; urgency=low

  * more missing Build-Depends: liborbit-dev, xlibs-dev and 'gettext'
    let's hope this now really fixes the problems =/

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 16 Mar 2002 00:50:08 -0300

devhelp (0.3-5) unstable; urgency=low

  * added Build-Depends: on libbonobo-dev, this hopefully
    really fixes the autobuilders' problems

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 15 Mar 2002 04:26:18 -0300

devhelp (0.3-4) unstable; urgency=low

  * added build-depends on automake, this should fix the
    problems building on autobuilders (Closes: #138175)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 13 Mar 2002 15:21:57 -0300

devhelp (0.3-3) unstable; urgency=low

  * I'm now taking official maintaince of this package
    for Debian (Closes: #131127)
  * depcomp:
  - removed dangling symlink
  * CVS:
  - removed all CVS directories
  * debian/control:
  - changed Maintainer field
  - added Build-Depends field
  * debian/rules:
  - added configure: target
  - builds libdevhelp0 and libdevhelp-dev packages
  * debian/postinst:
  - install gconf's schema with gconftool
  * debian/control:
  - added libdevhelp0 and libdevhelp-dev packages
  - Recommends: devhelp-books
  * src/bookshelf.c:
  - edited to select '/usr/share' manually as DATA_DIR,
    I just can't think of any reason why it would be selecting
    /usr/local/share but it is, even if DATA_DIR=/usr/share...
    a quick hack, will come fix this issue the right way later

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 28 Feb 2002 02:59:52 -0300

devhelp (0.3-2) unstable; urgency=low

  * Built against latest libraries in unstable

 -- Johan Dahlin <jdahlin@telia.com>  Tue, 15 Jan 2002 16:38:30 -0400

devhelp (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Johan Dahlin <jdahlin@telia.com>  Sat, 01 Dec 2001 20:20:13 -0400

devhelp (0.2.0.99-1) unstable; urgency=low

  * Initial release.

 -- Johan Dahlin <zilch.am@home.se>  Wed, 6 Jun 2001 00:12:09 -0400
